NetworkManager Processor

This is a basic processor for NetworkManager. It provides some additional features to NetworkManager though most be run as a separate application. This does not replace the NetworkManager Center.